Bug 989471 - CLI: promotion changeset act as deletion
CLI: promotion changeset act as deletion
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: David Davis
Hayk Hovsepyan
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 06:34 EDT by Ales Dujicek
Modified: 2014-04-24 13:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:09:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Dujicek 2013-07-29 06:34:06 EDT
Description of problem:

it is possible to remove content view from environment by applying promotion changeset to that environment again

this way you can remove content view from environment in the middle of promotion path:

> org create --name org1
> environment create --org "org1" --name "env1" --prior "Library"
> environment create --org "org1" --name "adv1" --prior "env1"
> content view promote --name "view1" --environment "env1" --org "org1"
> content view promote --name "view1" --environment "adv1" --org "org1"
> content view info --org org1 --name view1
Name         : view1
Environments:
    Library, env1, adv1
> changeset create --environment env1 --org org1 --name chset
> changeset update --environment env1 --org org1 --name chset --add_content_view view1
> changeset apply --environment env1 --org org1 --name chset
> content view info --org org1 --name view1
Name         : view1
Environments:
    Library, adv1


Version-Release number of selected component (if applicable):
signo-katello-0.0.9-1.el6.noarch
katello-glue-elasticsearch-1.4.2-1.git.987.b81455e.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-repos-1.4.2-1.el6.noarch
katello-cli-common-1.4.2-1.git.137.fea0d84.el6.noarch
katello-certs-tools-1.4.2-1.el6.noarch
katello-glue-pulp-1.4.2-1.git.987.b81455e.el6.noarch
katello-1.4.2-1.git.987.b81455e.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-selinux-1.4.3-1.git.4.99dc194.el6.noarch
katello-all-1.4.2-1.git.987.b81455e.el6.noarch
katello-glue-candlepin-1.4.2-1.git.987.b81455e.el6.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-configure-1.4.3-1.git.67.f71e590.el6.noarch
katello-common-1.4.2-1.git.987.b81455e.el6.noarch
katello-cli-1.4.2-1.git.137.fea0d84.el6.noarch

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 David Davis 2013-10-07 07:38:43 EDT
https://github.com/Katello/katello/pull/3065
Comment 3 David Davis 2013-10-07 07:39:05 EDT
katello SHA a95b21767fed53e2714f3a168fe629a34849ee53

989471: Preventing users from adding invalid views to changesets
Comment 6 Hayk Hovsepyan 2013-10-10 10:47:30 EDT
Verified on revision:

signo-0.0.22-2.el6sat.noarch
Katello-Katello-Installation-RegisterRHNClassic-1.1-4.noarch
foreman-1.3.0-15.el6sat.noarch
katello-cli-common-1.4.3-19.el6sat.noarch
openldap-2.4.23-31.el6.x86_64
pulp-nodes-common-2.3.0-0.17.beta.el6sat.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-0.8.25-1.el6sam.noarch
elasticsearch-0.19.9-8.el6sat.noarch
katello-glue-pulp-1.4.6-29.el6sat.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-agent-1.4.4-3.el6sat.noarch
Katello-Katello-Installation-Satellite6Latest-1.0-12.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
apr-util-ldap-1.3.9-3.el6_0.1.x86_64
katello-qpid-broker-key-pair-1.0-1.noarch
foreman-proxy-1.3.0-3.el6sat.noarch
foreman-postgresql-1.3.0-15.el6sat.noarch
katello-cli-1.4.3-19.el6sat.noarch
pulp-selinux-2.3.0-0.17.beta.el6sat.noarch
python-ldap-2.3.10-1.el6.x86_64
katello-certs-tools-1.4.4-1.el6sat.noarch
katello-configure-foreman-proxy-1.4.5-10.el6sat.noarch
pulp-rpm-plugins-2.3.0-0.17.beta.el6sat.noarch
pulp-nodes-parent-2.3.0-0.17.beta.el6sat.noarch
pulp-katello-plugins-0.2-1.el6sat.noarch
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-tomcat6-0.8.25-1.el6sam.noarch
signo-katello-0.0.22-2.el6sat.noarch
katello-glue-candlepin-1.4.6-29.el6sat.noarch
katello-selinux-1.4.4-4.el6sat.noarch
katello-1.4.6-29.el6sat.noarch
ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
katello-configure-foreman-1.4.5-10.el6sat.noarch
katello-foreman-all-1.4.6-29.el6sat.noarch
Katello-Katello-Configuration-KatelloClient-1.1-53.noarch
candlepin-cert-consumer-ares.usersys.redhat.com-1.0-1.noarch
katello-repos-1.4.2-1.el6.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
katello-configure-1.4.5-10.el6sat.noarch
pulp-server-2.3.0-0.17.beta.el6sat.noarch
pulp-puppet-plugins-2.3.0-0.17.beta.el6sat.noarch
candlepin-selinux-0.8.25-1.el6sam.noarch
katello-common-1.4.6-29.el6sat.noarch
katello-glue-elasticsearch-1.4.6-29.el6sat.noarch
katello-all-1.4.6-29.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
pulp-rpm-handlers-2.3.0-0.17.beta.el6sat.noarch
Katello-Katello-Installation-HammerCLI-1.0-7.noarch
Katello-Katello-Sanity-ImportKeys-1.2-1.noarch
Comment 7 Bryan Kearney 2014-04-24 13:09:32 EDT
This was verified and delivered with MDP2. Closing it out.
Comment 8 Bryan Kearney 2014-04-24 13:11:00 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.